Get agent session events
Return all trace events for a specific agent session, ordered by timestamp.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
sandbox_id
session_name
Query parameters
session_path
Stable unique session path from the session list response. Use this to disambiguate duplicate session names.
include_descendants
When true, include descendant subagent sessions under the requested session
limit
Page size — number of events to return
offset
Number of events to skip (for pagination)
since
Only return events after this timestamp (exclusive). Applied before offset.
Response
Successful Response
session_path
session_name
parent_session_path
parent_session_name
root_session_path
root_session_name
is_subagent
session_depth
agent_id
timestamp
event_type
actor
model
input_tokens
output_tokens
harness_name
cwd
body
cache_creation_input_tokens
cache_read_input_tokens
Errors
401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error